Description

Right now, the Tomcat libraries (javax.http...) are referenced via the Tomcat install directory on the build machine. These libs should
be included in metacat code for build purposes (not for distribution).

Related issues:
Blocked by Metacat - Bug #3824: Normalize the app deploy dir in build.properties Resolved 02/17/2009

History

#1 - 02/18/2009 11:19 AM - Matt Jones

We used to include those libs back in the Tomcat 3 days, but took them out as
the servlet library jars changed in Tomcat 3, 4, 5, and 6. So now we use the
locally installed version of the jar that comes with Tomcat to build. We

should consider whether adding these jars to Metacat is really an advantage --
we have to have Tomcat, and we have to differentiate which version of Tomcat is
being used in order to find the right jar file for servlet support. Having

those be in Metacat may not gain us much, and we'd have to differentiate which
to use in any given build. I'd opt for improving the build logic to discover

the jar files in the locally installed Tomcat. And | agree with Duane -- it

would be nice if the default app.deploy.dir used the standard webapps location,
as that is where most people will want to put it. So, | vote for changing back

to:

app.deploy.dir=${build.tomcat.dir}/webapps

Then if we need a different location in our particular install we can change it

as needed when we build and install locally. But the default should be the
standard webapps location.

#2 - 02/18/2009 11:31 AM - Michael Daigle

Review comments on ticket 3824

#3 - 02/09/2010 01:29 PM - Michael Daigle

This is not practical. The server should reference the libraries of the native install.

#4 - 03/27/2013 02:24 PM - Redmine Admin
Original Bugzilla ID was 3777
